Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#1 Le 04/10/2008, à 09:57

iyannick33

[ Ok ! ] Installation Freego4 ( deb )

Bonjour tout le monde , voila tout est dans le titre, je souhaite installer le logiciel freego 4 mais comme je suis pas tout
a fait doué pour installer ce qui n'est pas dans le dépots je viens crier help ici meme smile

J'ai essayé make + direction du fichier ( et make install aussi ) mais ca marche pas :s : <<  Pas de règle pour fabriquer la cible « install ». >>

Le package est en telechargement ici meme : http://www.free-go.net/ si ya un freenote et linuxien qui veut test big_smile ...

Ya un fichier .pro dans le dossier ... je crois que ca sert à l' installation mais jen c trop rien !
Et un autre aussi qui s'appel : build_dmg.sh

Si qqun à une idée merci d'avance wink
___________________________________

Edit : je viens de voir qu'une version debian été dispo , je deviens alors tres content mais nouveau probleme ! Quand je lance le .deb avec le gestionnaire : ca me dit: " error : dependency is not satisfiable : libqtgui4"

Je pense donc que ce serait mieux d se pencher sur ce probleme qui est plus spécifique à ubuntu ...

___________________________________

Dernière modification par iyannick33 (Le 04/10/2008, à 12:52)


"conscrits du bon vouloir, nous aurons la philosophie féroce"

Hors ligne

#2 Le 04/10/2008, à 10:00

sheep

Re : [ Ok ! ] Installation Freego4 ( deb )

bonjour,

il y a un paquet .deb sur le site de freego : (ici
chez moi il s'installe pas, essaye chez toi pour voir.


Save water, Drink beer

Hors ligne

#3 Le 04/10/2008, à 10:04

iyannick33

Re : [ Ok ! ] Installation Freego4 ( deb )

Je viens d'éditer juste aussi lol cool


"conscrits du bon vouloir, nous aurons la philosophie féroce"

Hors ligne

#4 Le 04/10/2008, à 10:16

iyannick33

Re : [ Ok ! ] Installation Freego4 ( deb )

Je viens d'essayer dinstaller le paquet précédement cité mais ca me di qu'il en manque aussi un autre ... bref jistall pas plus vu que je sais pas du tout ce que c'est ! 

http://packages.ubuntu.com/fr/hardy-backports/i386/libqtgui4/download

Voila si qqun de plus expérimenté passe par la smile


"conscrits du bon vouloir, nous aurons la philosophie féroce"

Hors ligne

#5 Le 04/10/2008, à 10:31

Vysserk3

Re : [ Ok ! ] Installation Freego4 ( deb )

Bizarre chez moi il s'est installé sans problème, mais c'est peut être parce que j'ai déjà des applications utilisant QT4 installées...
Donc je crois qu'ils ont oublié une dépendance.
Essaye d'installer le paquet libqtgui4 avant wink

Dernière modification par Vysserk3 (Le 04/10/2008, à 10:31)

Hors ligne

#6 Le 04/10/2008, à 10:49

sheep

Re : [ Ok ! ] Installation Freego4 ( deb )

ok c'est bon

Commence par activer les dépôts backports de Hardy (attention cette manip est risquée, ne fait aucune mise a jour)
recharge la liste des paquets
ensuite retélécharge le .Deb et installe le avec gdebi (il satisfera les dépendances tout seul), Freego s'installera

n'oublie pas ensuite de desactivé les depots backpots pour eviter les problèmes.


Save water, Drink beer

Hors ligne

#7 Le 04/10/2008, à 11:41

fra_tor_33

Re : [ Ok ! ] Installation Freego4 ( deb )

sheep a écrit :

ok c'est bon

Commence par activer les dépôts backports de Hardy (attention cette manip est risquée, ne fait aucune mise a jour)
recharge la liste des paquets
ensuite retélécharge le .Deb et installe le avec gdebi (il satisfera les dépendances tout seul), Freego s'installera

n'oublie pas ensuite de desactivé les depots backpots pour eviter les problèmes.

je viens d'effectuer cette procédure pas à pas mais j'ai encore un message d'erreur :

Error : dependency is not satisfiable : libqt4-network

Hors ligne

#8 Le 04/10/2008, à 11:48

sheep

Re : [ Ok ! ] Installation Freego4 ( deb )

les dépôts backport doivent rester activés durant toute la procédure d'installation de freego

si gdebi n'installe pas tous seul le paquet libqt4-network, installe le par synaptic.


Save water, Drink beer

Hors ligne

#9 Le 04/10/2008, à 11:56

fra_tor_33

Re : [ Ok ! ] Installation Freego4 ( deb )

sheep a écrit :

les dépôts backport doivent rester activés durant toute la procédure d'installation de freego

Voilà, c'est ce que j'avais oublié de faire, je l'avais désactivé avant l'installation de freego mais là, c'est bon, c'est installé, merci^^
Le problème est résolu

Hors ligne

#10 Le 04/10/2008, à 12:50

iyannick33

Re : [ Ok ! ] Installation Freego4 ( deb )

Vérifié à mon tour, ca marche nickel !
Je résume !

- Télécharger l'archive deb sur le site freego ...
- allez dans Système→Administration→Sources de logiciels / Mises à jour non prises en charge (hardy-backports) dans l'onglet Mises à jour ( cochez la case ... )
- Ne pas installer les mis à jour supplémentaire qu'on vous indique !
- ouvrir le package deb avec le gestionnaire de paquet ...
- installer les 3 dépendances ...
- Une fois l'install finie, revenir dans systeme / admin ... et décochez la case précedement cochée

Un icone freego4 se trouve dans application / internet une fois l'installation terminée


Ca fait plus propre comme ça et je pense que le sujet est clo big_smile


[EDIT] !!! A faire seulement sous gnome ! big_smile, ( pour Kde pas encore de solution ? )

Dernière modification par iyannick33 (Le 13/10/2008, à 14:31)


"conscrits du bon vouloir, nous aurons la philosophie féroce"

Hors ligne

#11 Le 05/10/2008, à 17:59

compte supprimé

Re : [ Ok ! ] Installation Freego4 ( deb )

Attention tous de même, cette méthode a de grande chance de rendre certaines applications obsolète Mumble, smplayer et keepassx chez moi. Dans le doute et surtout pour pas ce retrouver avec un système à problème en attendant d'autres retours, a déconseillé aux utilisateurs de kde4-desktop.



[Edit et marche arrière]

Je précise que je suis sous gnome et que QT4 ne me sers que pour 3 softs. Pour quelqu'un sous kde4, ne surtout pas faire cette manipulation bourrine.

Pour résoudre ce problème j'ai du désinstaller tout les paquets QT4 et leurs dépendances (Une simple recherche dans synaptic "qt4" et suppression complète). Mais cela n'a pas suffit. Par la suite un gksudo nautilus pour avoir la main en root sur l'explorateur de fichier et une recherche "QT4" dans toute l'arborescence. Suppression de l'ensemble des fichiers et réinstallation des 3 programmes qt4 que j'utilise.

Dernière modification par Vincentp (Le 05/10/2008, à 20:01)

#12 Le 23/10/2008, à 14:55

StevenLeRoux

Re : [ Ok ! ] Installation Freego4 ( deb )

Bonjour,

Il m'a été signalé des pb de dépendances sur le paquet freego.

Une nouvelle version est dispo (4.0.1) et devrait corriger ça.

Pour info le paquet dépend de "libqt4-gui, libqt4-network". Normalement libqt4-core est en dépendance de libqt4-gui (sur debian en tout cas) donc ça devrait marcher.

FreeGo utilise :

        linux-gate.so.1 =>  (0xb7f7f000)
        libQtGui.so.4 => /usr/lib/libQtGui.so.4 (0xb766c000)
        libQtNetwork.so.4 => /usr/lib/libQtNetwork.so.4 (0xb756d000)
        libQtCore.so.4 => /usr/lib/libQtCore.so.4 (0xb7340000)
        libpthread.so.0 => /lib/i686/cmov/libpthread.so.0 (0xb7327000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb7239000)
        libm.so.6 => /lib/i686/cmov/libm.so.6 (0xb7213000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb7206000)
        libc.so.6 => /lib/i686/cmov/libc.so.6 (0xb70ab000)
        libaudio.so.2 => /usr/lib/libaudio.so.2 (0xb7094000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb7070000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0xb7068000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0xb7051000)
        libz.so.1 => /usr/lib/libz.so.1 (0xb703c000)
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0xb6f87000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0xb6f7e000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb6f75000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb6f6f000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb6efa000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb6ed0000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xb6ec2000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb6dd2000)
        libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0xb6dcd000)
        librt.so.1 => /lib/i686/cmov/librt.so.1 (0xb6dc4000)
        libdl.so.2 => /lib/i686/cmov/libdl.so.2 (0xb6dc0000)
        /lib/ld-linux.so.2 (0xb7f80000)
        libXt.so.6 => /usr/lib/libXt.so.6 (0xb6d70000)
        libpcre.so.3 => /usr/lib/libpcre.so.3 (0xb6d40000)
        libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb6d1a000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xb6d17000)
        libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0xb6d15000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb6cfd000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb6cf7000)

et tout ça est apporté par la résolution de dépendance des paquets ci-dessus.


Si votre système refuse d'installer le paquet, vous pouvez vérifier la présence de ceux-ci par :

apt-cache search libqt4-gui

Ce paquet étant transitionnel et les autre libqtcore4 et libqtgui4 n'ayant pas l'air dispo partout encore...

je viens de faire un paquet SANS DEPENDANCE qui s'installera sans problème mais à vous de veiller à la présence de

- libqt4-gui ou libqtgui4
- libqt4-core ou libqtcore4
- libqt4-network

lien vers le paquet sans dependances : http://dl.free.fr/qiOVQsvuY

#13 Le 29/11/2008, à 17:41

Ayral

Re : [ Ok ! ] Installation Freego4 ( deb )

Bonjour
je suis freenaute moi aussi. J'ai tenté d'installer votre utilitaire, comme vous le conseillez mais pas en manuel. version ubuntu 8.04 i386, toutes mises à jour faites, les 3 librairies libqt4-gui, libqt4-network libqt4-core sont présentes (vérifié) j'ai exécuté les .deb (l'un puis l'autre).
Le menu pour freego est présent, mais ne s'exécute pas, et lancé dans un terminal affice: "erreur de fragmentation".
Dommage, mais que se passe-t il ?

En ligne

Haut de page ↑